## GcrCertificateBasicsWidget

GcrCertificateBasicsWidget

## Synopsis

                        GcrCertificateBasicsWidgetPrivate;
                        GcrCertificateBasicsWidget;
    GcrCertificateBasicsWidget* gcr_certificate_basics_widget_new
                                                            (GcrCertificate *cert);
    GcrCertificate*     gcr_certificate_basics_widget_get_certificate
                                                            (GcrCertificateBasicsWidget *basics);
    void                gcr_certificate_basics_widget_set_certificate
                                                            (GcrCertificateBasicsWidget *basics,
                                                             GcrCertificate *cert);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBin
                                     +----GtkAlignment
                                           +----GcrCertificateBasicsWidget

## Implemented Interfaces

GcrCertificateBasicsWidget implements AtkImplementorIface and GtkBuildable.

## Properties

      "certificate"              GcrCertificateIface*  : Read / Write

## Description

## Details

### GcrCertificateBasicsWidgetPrivate

    typedef struct _GcrCertificateBasicsWidgetPrivate GcrCertificateBasicsWidgetPrivate;

### GcrCertificateBasicsWidget

    typedef struct _GcrCertificateBasicsWidget GcrCertificateBasicsWidget;

### gcr_certificate_basics_widget_new ()

    GcrCertificateBasicsWidget* gcr_certificate_basics_widget_new
                                                            (GcrCertificate *cert);

`cert` : |
Returns : |

### gcr_certificate_basics_widget_get_certificate ()

    GcrCertificate*     gcr_certificate_basics_widget_get_certificate
                                                            (GcrCertificateBasicsWidget *basics);

`basics` : |
Returns : |

### gcr_certificate_basics_widget_set_certificate ()

    void                gcr_certificate_basics_widget_set_certificate
                                                            (GcrCertificateBasicsWidget *basics,
                                                             GcrCertificate *cert);

`basics` : |
`cert` : |

## Property Details

### The `"certificate"` property

      "certificate"              GcrCertificateIface*  : Read / Write

Certificate to display.